# Uses of Class
org.apache.sling.testing.mock.sling.servlet.MockSlingJakartaHttpServletResponse

Packages that use MockSlingJakartaHttpServletResponse
Package
Description
org.apache.sling.testing.mock.sling.context
Sling context implementation for unit tests.
org.apache.sling.testing.mock.sling.servlet
Mock implementation of selected Servlet-related Sling APIs.

## Uses of MockSlingJakartaHttpServletResponse in org.apache.sling.testing.mock.sling.context

Fields in org.apache.sling.testing.mock.sling.context declared as MockSlingJakartaHttpServletResponse
Modifier and Type
Field
Description
`protected MockSlingJakartaHttpServletResponse`
SlingContextImpl.`jakartaResponse`
Sling response
Methods in org.apache.sling.testing.mock.sling.context that return MockSlingJakartaHttpServletResponse
Modifier and Type
Method
Description
`final @NotNull MockSlingJakartaHttpServletResponse`
SlingContextImpl.`jakartaResponse()`

## Uses of MockSlingJakartaHttpServletResponse in org.apache.sling.testing.mock.sling.servlet

Constructors in org.apache.sling.testing.mock.sling.servlet with parameters of type MockSlingJakartaHttpServletResponse
Modifier
Constructor
Description
``
`MockSlingHttpServletResponse(MockSlingJakartaHttpServletResponse wrappedResponse)`
Deprecated.